﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Data.SqlServerCe;
using MasterDetailsViewDemo;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid.Cells;

namespace MasterDetailsViewDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            this.dataGrid.CellRenderers.Remove("Template");
            this.dataGrid.CellRenderers.Add("Template", new CustomGridCellTemplateRenderer());

        }
    }

    public class GridCellTemplateSelectorEXt : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item == null)
                return null;

            if (((item as OrderInfo).OrderID % 2) == 0)
                return App.Current.MainWindow.Resources["template1"] as DataTemplate;
            else
                return App.Current.MainWindow.Resources["template2"] as DataTemplate;
        }
    }

    public class CustomGridCellTemplateRenderer : GridCellTemplateRenderer
    {
        protected override void SetFocus(FrameworkElement uiElement, bool needToFocus)
        {
            //To trigger the button click event on first click on the button.
            if (!needToFocus)
                DataGrid.Focus();
        }
    }

}
